rpm -vhF foomatic fails

Tim Waugh twaugh at redhat.com
Tue Jul 20 15:52:49 UTC 2004

Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature"; boundary="CpBQqYjq/d0HQTAP"
Content-Disposition: inline

Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Tue, Jul 20, 2004 at 10:46:30AM -0500, Harry Putnam wrote:

> rpm -qa|grep foomatic
>  foomatic-3.0.1-2
> rpm -vhF /mnt/exp/fed2/RPMS/foomatic-3.0.1-6.i386.rpm
> (That directory is my mirror of rawhide)
> /etc/security/selinux/src/policy/file_contexts/file_contexts: No such fil=
e or directory
> error: Failed dependencies:
>         perl(:MODULE_COMPAT_5.8.4) is needed by foomatic-3.0.1-6
> I can't find any perl module by that name, but it doesn't really
> appear to be the package name anyway.  It should be though shouldn't
> it?  How might I track this dependency down without a name.

Install the rpmdb-fedora from rawhide and:

rpm -q --redhatprovides 'perl(:MODULE_COMPAT_5.8.4)'

You'll see that perl provides this.

> What use is this reference and what does it point to?

It is to make sure that you install the version of perl that is
necessary for that compiled package.  It dumps perl modules into the
file system and the installed perl must be able to load them.


Content-Type: application/pgp-signature
Content-Disposition: inline

Version: GnuPG v1.2.4 (GNU/Linux)



Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

fedora-test-list mailing list
fedora-test-list at redhat.com
To unsubscribe: 


More information about the test mailing list